/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* COMMON START */
html {
	/* 11 - 16 px */
	font-size: clamp(0.688rem, 0.063rem + 0.781vw, 1rem);
}
@media screen and (max-width: 767px) {
	html {
		/* 16 - 24 px */
		font-size: clamp(1rem, 0.523rem + 2.036vw, 1.5rem);
	}
}
@media (768px <= width <= 1023px) {
	html {
		/* 16 - 20 px */
		font-size: clamp(1rem, 0.25rem + 1.563vw, 1.25rem);
	}
}

p {
	margin-block-start: 0 !important;
}

.backdrop-filter {
	backdrop-filter: blur(14px);
	-webkit-backdrop-filter: blur(14px);
}

/* button */
.elementor-button {
	cursor: pointer;
}
.elementor-button-content-wrapper {
	align-items: center;
}
.btn-icon:not(.primary) .elementor-button-icon {
    align-items: flex-start !important;
}
.btn-icon.secondary:hover svg>path {
	fill: #3a2a22 !important;
	transition: all .3s ease !important;
}
.btn-icon.primary:hover svg>path {
	fill: #ffffff !important;
	transition: all .3s ease !important;
}
/* title line */
.title--line .elementor-heading-title {
    display: flex;
    align-items: center;
    gap: 1rem;
}
.title--line .elementor-heading-title:before {
    content: "";
    display: block;
    width: 3rem;
    height: 1px;
    background-color: var(--e-global-color-primary);
}
/* COMMON END */

/* HEADER START */
/* logo */
.logo .elementor-icon-wrapper {
    display: flex;
}
.logo svg {
	height: auto !important;
}
/* burger menu */
.burger-popup .dialog-widget-content {
    backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
}
.burger-popup .elementor-location-popup,
.burger-popup .elementor-location-popup .wrapper {
	height: 100% !important;
}
/* HEADER END */

/* FOOTER START */
html:not([lang="uk"]) .footer-figure-ua {
	display: none !important;
}
html:is([lang="uk"]) .footer-figure-en {
	display: none !important;
}
/* FOOTER END */

/* LANGUAGE SWITCHER START */
.wpml-ls-legacy-dropdown {
    width: auto;
}
.wpml-ls-legacy-dropdown * {
    transition: all .3s ease !important;
}
.wpml-ls-legacy-dropdown a {
    color: #372b22;
    /* border: 1px solid rgb(246 136 61 / 50%); */
	border: 1px solid transparent;
    border-radius: 30px;
    background-color: transparent;
    padding: 1rem 20px 1rem 10px;
    font-size: 1rem;
	line-height: 1.2em;
	font-weight: 600;
}
.wpml-ls-legacy-dropdown .wpml-ls-sub-menu a {
	color: #ffffff;
    background-color: #372b22;
}
.wpml-ls-legacy-dropdown .wpml-ls-sub-menu {
	border-top: none;
}
.wpml-ls-legacy-dropdown .wpml-ls-current-language:hover>a,
.wpml-ls-legacy-dropdown .wpml-ls-current-language:focus>a,
.wpml-ls-legacy-dropdown a:hover,
.wpml-ls-legacy-dropdown a:focus {
	color: #ffffff !important;
	background-color: #372b22 !important;
}
.wpml-ls-legacy-dropdown .wpml-ls-sub-menu {
	transition: all .5s cubic-bezier(0.4, 0, 0.2, 1) !important;
	top: 50%;
	opacity: 0;
}
.wpml-ls-legacy-dropdown .wpml-ls-sub-menu a:hover {
    text-decoration: underline;
    text-decoration-color: #ffffff;
}
.wpml-ls-legacy-dropdown .wpml-ls-current-language:hover .wpml-ls-sub-menu {
    top: 100%;
	opacity: 1;
}
.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle:after {
    content: "";
    vertical-align: none;
    width: 12px;
    height: 6px;
    background-color: #372b22;
	-webkit-mask-image: url(/wp-content/uploads/lang-open.svg);
	mask-image: url(/wp-content/uploads/lang-open.svg);
	mask-repeat: no-repeat;
    display: block;
    border: none;
    border-top: none;
    position: absolute;
    right: 12px;
    top: calc(50% - .175em);
	transition: all .3s ease !important;
}
.wpml-ls-legacy-dropdown .wpml-ls-current-language:hover .wpml-ls-item-toggle:after {
	background-color: #ffffff;
	rotate: 180deg;
}
/* LANGUAGE SWITCHER END */

/* HOME START */
/* portfolio */
.portfolio .elementor-widget-image a {
    width: 100%;
}
/* HOME END */

/* POPUP START */
.consultation-popup {
	backdrop-filter: blur(14px);
	-webkit-backdrop-filter: blur(14px);
}
.consultation-popup .dialog-message {
    overflow: hidden !important;
}
/* POPUP END */